/*
 * InterfaceConsultationPaiementWeb.java
 *
 * Created on 29 septembre 2008, 10:47
 */

package org.cocktail.pie.client.interfaces;

import org.cocktail.application.client.IconeCocktail;
import org.cocktail.application.palette.CalendarCocktail;
import org.cocktail.application.palette.JPanelCocktail;

import app.client.ApplicationClient;

import com.webobjects.foundation.NSTimestamp;
import com.webobjects.foundation.NSTimestampFormatter;

/**
 *
 * @author  mparadot
 */
public class InterfaceConsultationPaiementWeb extends JPanelCocktail {
	public static String FORMAT_DATE_HEURE = "%d/%m/%Y %H:%M:%S %Z";
	private NSTimestampFormatter formatter;
	private NSTimestampFormatter formatterh;
	private FinderConsultationPaiementWeb parent;

    /** Creates new form InterfaceConsultationPaiementWeb */
    public InterfaceConsultationPaiementWeb() {
        initComponents();
        suiteInit();
    }

    public InterfaceConsultationPaiementWeb(FinderConsultationPaiementWeb parent) {
        initComponents();
        suiteInit();
        this.parent = parent;
        connexion();
    }

    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        btFermer = new org.cocktail.application.palette.JButtonCocktail();
        jSplitPane1 = new javax.swing.JSplitPane();
        tvListeFacturePaiementWeb = new org.cocktail.application.palette.JTableViewCocktail();
        jPanel2 = new javax.swing.JPanel();
        jLabelCocktail1 = new org.cocktail.application.palette.JLabelCocktail();
        labelNoPrestation = new org.cocktail.application.palette.JLabelCocktail();
        jLabelCocktail3 = new org.cocktail.application.palette.JLabelCocktail();
        labelNoFacture = new org.cocktail.application.palette.JLabelCocktail();
        jLabelCocktail5 = new org.cocktail.application.palette.JLabelCocktail();
        labelRefWeb = new org.cocktail.application.palette.JLabelCocktail();
        jLabelCocktail7 = new org.cocktail.application.palette.JLabelCocktail();
        labelDateTransaction = new org.cocktail.application.palette.JLabelCocktail();
        jLabelCocktail9 = new org.cocktail.application.palette.JLabelCocktail();
        labelMontantTransaction = new org.cocktail.application.palette.JLabelCocktail();
        jLabelCocktail11 = new org.cocktail.application.palette.JLabelCocktail();
        jLabelCocktail12 = new org.cocktail.application.palette.JLabelCocktail();
        labelEmailTransaction = new org.cocktail.application.palette.JLabelCocktail();
        tvListeTicketWeb = new org.cocktail.application.palette.JTableViewCocktail();
        jPanel1 = new javax.swing.JPanel();
        jLabelCocktail2 = new org.cocktail.application.palette.JLabelCocktail();
        btDateDebut = new org.cocktail.application.palette.JButtonCocktail();
        tfDateDebut = new org.cocktail.application.palette.JTextFieldCocktail();
        jLabelCocktail4 = new org.cocktail.application.palette.JLabelCocktail();
        jLabelCocktail6 = new org.cocktail.application.palette.JLabelCocktail();
        tfDateFin = new org.cocktail.application.palette.JTextFieldCocktail();
        btDateFin = new org.cocktail.application.palette.JButtonCocktail();
        btRechercher = new org.cocktail.application.palette.JButtonCocktail();
        jLabelCocktail10 = new org.cocktail.application.palette.JLabelCocktail();
        jLabelCocktail13 = new org.cocktail.application.palette.JLabelCocktail();
        tfSommeMin = new org.cocktail.application.palette.JTextFieldCocktail();
        tfSommeMax = new org.cocktail.application.palette.JTextFieldCocktail();
        jLabelCocktail14 = new org.cocktail.application.palette.JLabelCocktail();
        tfEmail = new org.cocktail.application.palette.JTextFieldCocktail();
        jLabelCocktail15 = new org.cocktail.application.palette.JLabelCocktail();
        jLabelCocktail8 = new org.cocktail.application.palette.JLabelCocktail();
        btMajFacture = new org.cocktail.application.palette.JButtonCocktail();

        btFermer.setText("Fermer");

        jSplitPane1.setDividerLocation(100);
        jSplitPane1.setOrientation(javax.swing.JSplitPane.VERTICAL_SPLIT);
        jSplitPane1.setMinimumSize(new java.awt.Dimension(140, 140));
        jSplitPane1.setPreferredSize(new java.awt.Dimension(100, 100));
        jSplitPane1.setTopComponent(tvListeFacturePaiementWeb);

        jPanel2.setBorder(javax.swing.BorderFactory.createTitledBorder("Détail"));

        jLabelCocktail1.setText("N° de prestation :");

        labelNoPrestation.setText("000");

        jLabelCocktail3.setText("N° de facture :");

        labelNoFacture.setText("000");

        jLabelCocktail5.setText("Réf. web :");

        labelRefWeb.setText("jLabelCocktail6");

        jLabelCocktail7.setText("Date du paiement web :");

        labelDateTransaction.setText("jj/mm/yyyy");

        jLabelCocktail9.setText("Somme payée :");

        labelMontantTransaction.setText("0000,00");

        jLabelCocktail11.setText("\u20AC");

        jLabelCocktail12.setText("Email utilisé pour la transaction :");

        labelEmailTransaction.setText("jLabelCocktail13");

        org.jdesktop.layout.GroupLayout jPanel2Layout = new org.jdesktop.layout.GroupLayout(jPanel2);
        jPanel2.setLayout(jPanel2Layout);
        jPanel2Layout.setHorizontalGroup(
            jPanel2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(jPanel2Layout.createSequentialGroup()
                .add(jPanel2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(jPanel2Layout.createSequentialGroup()
                        .add(jLabelCocktail1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(labelNoPrestation, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(18, 18, 18)
                        .add(jLabelCocktail3, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(labelNoFacture, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(jPanel2Layout.createSequentialGroup()
                        .add(jPanel2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(jPanel2Layout.createSequentialGroup()
                                .add(jLabelCocktail7, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(labelDateTransaction, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(jLabelCocktail9, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(labelMontantTransaction, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(jLabelCocktail11, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                            .add(jPanel2Layout.createSequentialGroup()
                                .add(jLabelCocktail12, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(labelEmailTransaction, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 642, Short.MAX_VALUE)))
                        .add(16, 16, 16))
                    .add(jPanel2Layout.createSequentialGroup()
                        .add(jLabelCocktail5, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(labelRefWeb, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 805, Short.MAX_VALUE)))
                .addContainerGap())
        );
        jPanel2Layout.setVerticalGroup(
            jPanel2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(jPanel2Layout.createSequentialGroup()
                .add(jPanel2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabelCocktail1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(labelNoPrestation, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabelCocktail3, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(labelNoFacture, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .add(7, 7, 7)
                .add(jPanel2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabelCocktail5, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(labelRefWeb, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jPanel2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabelCocktail7, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(labelDateTransaction, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabelCocktail9, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(labelMontantTransaction, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabelCocktail11, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jPanel2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabelCocktail12, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(labelEmailTransaction, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addContainerGap(22, Short.MAX_VALUE))
        );

        jSplitPane1.setBottomComponent(jPanel2);

        jLabelCocktail2.setText("Liste des paiements web");

        btDateDebut.setText("jButtonCocktail2");

        tfDateDebut.setText("jTextFieldCocktail1");

        jLabelCocktail4.setText("du ");

        jLabelCocktail6.setText("au");

        tfDateFin.setText("jTextFieldCocktail1");

        btDateFin.setText("jButtonCocktail2");

        btRechercher.setText("Rechercher");

        jLabelCocktail10.setText("Somme de ");

        jLabelCocktail13.setText("à");

        tfSommeMin.setText("jTextFieldCocktail1");

        tfSommeMax.setText("jTextFieldCocktail2");

        jLabelCocktail14.setText("Email");

        tfEmail.setText("jTextFieldCocktail1");

        jLabelCocktail15.setText("\u20AC");

        org.jdesktop.layout.GroupLayout jPanel1Layout = new org.jdesktop.layout.GroupLayout(jPanel1);
        jPanel1.setLayout(jPanel1Layout);
        jPanel1Layout.setHorizontalGroup(
            jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(jPanel1Layout.createSequentialGroup()
                .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(jPanel1Layout.createSequentialGroup()
                        .add(jLabelCocktail4, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(tfDateDebut, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(btDateDebut, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 25, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(jLabelCocktail6, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(tfDateFin, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(jLabelCocktail2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(btDateFin, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 25, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                    .add(jLabelCocktail10, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabelCocktail14, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING, false)
                    .add(jPanel1Layout.createSequentialGroup()
                        .add(tfSommeMin, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 108, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(jLabelCocktail13, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 7, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(tfSommeMax, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 121, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(tfEmail, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jLabelCocktail15, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED, 18, Short.MAX_VALUE)
                .add(btRechercher, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
        );
        jPanel1Layout.setVerticalGroup(
            jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(jPanel1Layout.createSequentialGroup()
                .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabelCocktail2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabelCocktail14, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(tfEmail, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabelCocktail4, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(tfDateDebut, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(btDateDebut, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabelCocktail6, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(tfDateFin, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(btDateFin, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(btRechercher, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabelCocktail10, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(tfSommeMin, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(tfSommeMax, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabelCocktail13, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabelCocktail15, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
        );

        jLabelCocktail8.setText("Facture correspondante");

        btMajFacture.setText("Maj facture");

        org.jdesktop.layout.GroupLayout layout = new org.jdesktop.layout.GroupLayout(this);
        this.setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .addContainerGap()
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(jSplitPane1, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 910, Short.MAX_VALUE)
                    .add(layout.createSequentialGroup()
                        .add(jLabelCocktail8, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED, 664, Short.MAX_VALUE)
                        .add(btMajFacture, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(org.jdesktop.layout.GroupLayout.TRAILING, jPanel1, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                    .add(org.jdesktop.layout.GroupLayout.TRAILING, tvListeTicketWeb, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 910, Short.MAX_VALUE)
                    .add(org.jdesktop.layout.GroupLayout.TRAILING, btFermer, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addContainerGap())
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createSequentialGroup()
                .add(jPanel1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(tvListeTicketWeb, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 138, Short.MAX_VALUE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                    .add(jLabelCocktail8, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(btMajFacture, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jSplitPane1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 248, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(btFermer, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addContainerGap())
        );
    }// </editor-fold>//GEN-END:initComponents


    // Variables declaration - do not modify//GEN-BEGIN:variables
    private org.cocktail.application.palette.JButtonCocktail btDateDebut;
    private org.cocktail.application.palette.JButtonCocktail btDateFin;
    private org.cocktail.application.palette.JButtonCocktail btFermer;
    private org.cocktail.application.palette.JButtonCocktail btMajFacture;
    private org.cocktail.application.palette.JButtonCocktail btRechercher;
    private org.cocktail.application.palette.JLabelCocktail jLabelCocktail1;
    private org.cocktail.application.palette.JLabelCocktail jLabelCocktail10;
    private org.cocktail.application.palette.JLabelCocktail jLabelCocktail11;
    private org.cocktail.application.palette.JLabelCocktail jLabelCocktail12;
    private org.cocktail.application.palette.JLabelCocktail jLabelCocktail13;
    private org.cocktail.application.palette.JLabelCocktail jLabelCocktail14;
    private org.cocktail.application.palette.JLabelCocktail jLabelCocktail15;
    private org.cocktail.application.palette.JLabelCocktail jLabelCocktail2;
    private org.cocktail.application.palette.JLabelCocktail jLabelCocktail3;
    private org.cocktail.application.palette.JLabelCocktail jLabelCocktail4;
    private org.cocktail.application.palette.JLabelCocktail jLabelCocktail5;
    private org.cocktail.application.palette.JLabelCocktail jLabelCocktail6;
    private org.cocktail.application.palette.JLabelCocktail jLabelCocktail7;
    private org.cocktail.application.palette.JLabelCocktail jLabelCocktail8;
    private org.cocktail.application.palette.JLabelCocktail jLabelCocktail9;
    private javax.swing.JPanel jPanel1;
    private javax.swing.JPanel jPanel2;
    private javax.swing.JSplitPane jSplitPane1;
    private org.cocktail.application.palette.JLabelCocktail labelDateTransaction;
    private org.cocktail.application.palette.JLabelCocktail labelEmailTransaction;
    private org.cocktail.application.palette.JLabelCocktail labelMontantTransaction;
    private org.cocktail.application.palette.JLabelCocktail labelNoFacture;
    private org.cocktail.application.palette.JLabelCocktail labelNoPrestation;
    private org.cocktail.application.palette.JLabelCocktail labelRefWeb;
    private org.cocktail.application.palette.JTextFieldCocktail tfDateDebut;
    private org.cocktail.application.palette.JTextFieldCocktail tfDateFin;
    private org.cocktail.application.palette.JTextFieldCocktail tfEmail;
    private org.cocktail.application.palette.JTextFieldCocktail tfSommeMax;
    private org.cocktail.application.palette.JTextFieldCocktail tfSommeMin;
    private org.cocktail.application.palette.JTableViewCocktail tvListeFacturePaiementWeb;
    private org.cocktail.application.palette.JTableViewCocktail tvListeTicketWeb;
    // End of variables declaration//GEN-END:variables

    public org.cocktail.application.palette.JLabelCocktail getLabelDateTransaction() {
        return labelDateTransaction;
    }

    public org.cocktail.application.palette.JLabelCocktail getLabelEmailTransaction() {
        return labelEmailTransaction;
    }

    public org.cocktail.application.palette.JLabelCocktail getLabelMontantTransaction() {
        return labelMontantTransaction;
    }

    public org.cocktail.application.palette.JLabelCocktail getLabelNoFacture() {
        return labelNoFacture;
    }

    public org.cocktail.application.palette.JLabelCocktail getLabelNoPrestation() {
        return labelNoPrestation;
    }

    public org.cocktail.application.palette.JLabelCocktail getLabelRefWeb() {
        return labelRefWeb;
    }

    public org.cocktail.application.palette.JButtonCocktail getBtDateDebut() {
        return btDateDebut;
    }

    public org.cocktail.application.palette.JButtonCocktail getBtDateFin() {
        return btDateFin;
    }

    public org.cocktail.application.palette.JTextFieldCocktail getTfDateDebut() {
        return tfDateDebut;
    }

    public org.cocktail.application.palette.JTextFieldCocktail getTfDateFin() {
        return tfDateFin;
    }

    public org.cocktail.application.palette.JTableViewCocktail getTvListeFacturePaiementWeb() {
        return tvListeFacturePaiementWeb;
    }

    public org.cocktail.application.palette.JTableViewCocktail getTvListeTicketWeb() {
        return tvListeTicketWeb;
    }

    public org.cocktail.application.palette.JButtonCocktail getBtFermer() {
        return btFermer;
    }

    public void suiteInit(){
    	formatter = new NSTimestampFormatter(CalendarCocktail.FORMAT_DATE);
    	formatterh = new NSTimestampFormatter(FORMAT_DATE_HEURE);
    	getBtDateDebut().setIcone(IconeCocktail.RECHERCHER);
    	getBtDateDebut().setText("");
    	getBtDateFin().setIcone(IconeCocktail.RECHERCHER);
    	getBtDateFin().setText("");
    	getBtFermer().setIcone(IconeCocktail.FERMER);
    	getBtRechercher().setIcone(IconeCocktail.RECHERCHER);
    	getBtMajFacture().setIcone(IconeCocktail.DATABASE);
    	getBtMajFacture().setEnabled(false);
    	cleanInterface();
    	cleanRecherche();
    }

    public void cleanInterface(){
    	getLabelDateTransaction().setText("");
    	getLabelEmailTransaction().setText("");
    	getLabelMontantTransaction().setText("");
    	getLabelNoFacture().setText("");
    	getLabelNoPrestation().setText("");
    	getLabelRefWeb().setText("");
    }

    public void cleanRecherche(){
    	setDateDebut(new NSTimestamp());
    	setDateFin(new NSTimestamp());
    	getTfSommeMax().setText("");
    	getTfSommeMin().setText("");
    	getTfEmail().setText("");
    }

    public void setDateDebut(NSTimestamp date){
    	getTfDateDebut().setText(ApplicationClient.formatDateToString(date,CalendarCocktail.FORMAT_DATE));
    }

    public NSTimestamp dateDebut(){
    	return ApplicationClient.formatStringToDate(getTfDateDebut().getText().trim()+" 00:00:00", "%d/%m/%Y %H:%M:%S");
    }

    public void setDateFin(NSTimestamp date){
    	getTfDateFin().setText(ApplicationClient.formatDateToString(date,CalendarCocktail.FORMAT_DATE));
    }

    public NSTimestamp dateFin(){
    	return ApplicationClient.formatStringToDate(getTfDateFin().getText().trim()+" 23:59:59", "%d/%m/%Y %H:%M:%S");
    }

    public void setDateTransaction(NSTimestamp date){
    	getLabelDateTransaction().setText(ApplicationClient.formatDateToString(date,CalendarCocktail.FORMAT_DATE));
    }

    public void connexion(){
    	getBtDateDebut().addDelegateActionListener(parent, FinderConsultationPaiementWeb.METHODE_ACTION_DATE_DEBUT);
    	getBtDateFin().addDelegateActionListener(parent, FinderConsultationPaiementWeb.METHODE_ACTION_DATE_FIN);
    	getBtFermer().addDelegateActionListener(parent, FinderConsultationPaiementWeb.METHODE_ACTION_ANNULER);
    	getBtRechercher().addDelegateActionListener(parent, FinderConsultationPaiementWeb.METHODE_ACTION_FILTRE_TICKET);
    	getBtMajFacture().addDelegateActionListener(parent, FinderConsultationPaiementWeb.METHODE_ACTION_MAJ_FACTURE);
    }

    public org.cocktail.application.palette.JButtonCocktail getBtRechercher() {
        return btRechercher;
    }

    public org.cocktail.application.palette.JButtonCocktail getBtMajFacture() {
        return btMajFacture;
    }

    public org.cocktail.application.palette.JTextFieldCocktail getTfSommeMax() {
        return tfSommeMax;
    }

    public org.cocktail.application.palette.JTextFieldCocktail getTfSommeMin() {
        return tfSommeMin;
    }

    public Double sommeMin(){
    	try {
    		getTfSommeMin().setText(getTfSommeMin().getText().replaceAll("\\.",","));
    		return Double.valueOf(getTfSommeMin().getText());
		} catch (Throwable e) {
		}
		return null;
    }

    public Double sommeMax(){
    	try {
    		getTfSommeMax().setText(getTfSommeMax().getText().replaceAll("\\.",","));
    		return Double.valueOf(getTfSommeMax().getText());
		} catch (Throwable e) {
		}
		return null;
    }

    public org.cocktail.application.palette.JTextFieldCocktail getTfEmail() {
        return tfEmail;
    }

}
